# MSP::CCS::Datum Class Reference

`#include <Datum.h>`

Inheritance diagram for MSP::CCS::Datum:

List of all members.

## Public Member Functions

| Datum ()
| Datum (long __index, char *__code, char *__ellipsoidCode, char *__name, DatumType::Enum __datumType, double __deltaX, double __deltaY, double __deltaZ, double __westLongitude, double __eastLongitude, double __southLatitude, double __northLatitude, bool __userDefined)
| ~Datum (void)
long | index () const
char * | code () const
char * | ellipsoidCode () const
char * | name () const
DatumType::Enum | datumType () const
double | deltaX () const
double | deltaY () const
double | deltaZ () const
double | westLongitude () const
double | eastLongitude () const
double | southLatitude () const
double | northLatitude () const
bool | userDefined () const

## Detailed Description

Definition at line 14 of file Datum.h.

## Constructor & Destructor Documentation

Datum::Datum | ( |  | ) |

Definition at line 22 of file Datum.cpp.

Datum::Datum | ( | long | __index,
|  | char * | __code,
|  | char * | __ellipsoidCode,
|  | char * | __name,
|  | DatumType::Enum | __datumType,
|  | double | __deltaX,
|  | double | __deltaY,
|  | double | __deltaZ,
|  | double | __westLongitude,
|  | double | __eastLongitude,
|  | double | __southLatitude,
|  | double | __northLatitude,
|  | bool | __userDefined |
| ) |  |  |

Definition at line 40 of file Datum.cpp.

Datum::~Datum | ( | void |  | ) |

Definition at line 64 of file Datum.cpp.

## Member Function Documentation

char * Datum::code | ( |  | ) | const

Definition at line 83 of file Datum.cpp.

DatumType::Enum Datum::datumType | ( |  | ) | const

Definition at line 101 of file Datum.cpp.

double Datum::deltaX | ( |  | ) | const

Definition at line 107 of file Datum.cpp.

double Datum::deltaY | ( |  | ) | const

Definition at line 113 of file Datum.cpp.

double Datum::deltaZ | ( |  | ) | const

Definition at line 119 of file Datum.cpp.

double Datum::eastLongitude | ( |  | ) | const

Definition at line 131 of file Datum.cpp.

char * Datum::ellipsoidCode | ( |  | ) | const

Definition at line 89 of file Datum.cpp.

long Datum::index | ( |  | ) | const

Definition at line 77 of file Datum.cpp.

char * Datum::name | ( |  | ) | const

Definition at line 95 of file Datum.cpp.

double Datum::northLatitude | ( |  | ) | const

Definition at line 143 of file Datum.cpp.

double Datum::southLatitude | ( |  | ) | const

Definition at line 137 of file Datum.cpp.

bool Datum::userDefined | ( |  | ) | const

Definition at line 149 of file Datum.cpp.

double Datum::westLongitude | ( |  | ) | const

Definition at line 125 of file Datum.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/Datum.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/Datum.cpp